import { Group, Light, Object3D } from 'three';
import { BaseObject3D, Canvas3D, Decal, Model, PluginObject, Poi, PoiNode, Topology } from '../Library';
declare class ObjectsCache {
    objects: Map<BaseObject3D['sid'], Object3D>;
    classified: {
        Group: Set<Group<import("three").Object3DEventMap>>;
        Light: Set<Light<import("three").LightShadow<import("three").Camera> | undefined>>;
        Model: Set<Model>;
        Poi: Set<Poi>;
        PoiNode: Set<PoiNode>;
        Canvas3D: Set<Canvas3D>;
        Topology: Set<Topology>;
        Helper: Set<Object3D<import("three").Object3DEventMap>>;
        Decal: Set<Decal>;
        PluginObject: Set<PluginObject>;
    };
    dispose(): void;
}
export { ObjectsCache, };
