import { MeshBasicMaterialParameters, MeshPhongMaterialParameters } from 'three';
import { Level } from './base';
type PoiMeshTextureImage = string | HTMLImageElement | HTMLCanvasElement | HTMLVideoElement;
interface PoiMeshOptions extends MeshBasicMaterialParameters, MeshPhongMaterialParameters {
    /**
     * 图片的url 或者是  HTMLImageElement | HTMLCanvasElement | HTMLVideoElement
     */
    image?: PoiMeshTextureImage | null;
    /**
     * 是否需要有灯光才能显示
     */
    needLight?: boolean;
    id: string;
    name?: string;
    userData?: any;
    level?: Level;
    visible?: boolean;
    /**
     * 是否使用缓存的材质
     */
    cache?: boolean;
}
export { PoiMeshOptions, PoiMeshTextureImage, };
