import { Box3, Vector3, Euler, Mesh, BufferGeometry, Material, Object3DEventMap } from 'three';
import { Tween } from 'three/examples/jsm/libs/tween.module.js';
import { Position, Rotation, Scale, Level, BaseObjectInfo, AnimationOptions } from '../Interface';
declare class BaseMesh<TMaterial extends Material = Material, TEventMap extends Object3DEventMap = Object3DEventMap> extends Mesh<BufferGeometry, TMaterial, TEventMap> {
    sid: string;
    stype: string;
    handleHide: boolean;
    level: Level;
    extraIds: string[];
    constructor(params?: BaseObjectInfo, geometry?: BufferGeometry, material?: TMaterial);
    show(): void;
    hide(): void;
    setMove(position: Position | Vector3, options?: AnimationOptions, onUpdate?: (source: Position, tween: Tween<Position>) => void, onStart?: (tween: Tween<Position>) => void): Promise<void>;
    setRotate(rotation: Rotation | Euler, options?: AnimationOptions, onUpdate?: (source: Rotation, tween: Tween<Rotation>) => void, onStart?: (tween: Tween<Rotation>) => void): Promise<void>;
    setScale(scale: Scale | Vector3, options?: AnimationOptions, onUpdate?: (source: Scale, tween: Tween<Scale>) => void, onStart?: (tween: Tween<Scale>) => void): Promise<void>;
    getBoundingBox(): Box3;
    copy(source: this, recursive?: boolean): this;
}
export { BaseMesh, };
