import { BaseObjectInfo } from '../Interface';
import { BaseObject3D } from './BaseObject3D';
import { BaseMesh } from './BaseMesh';
import { Point, PointInfo } from './Point';
import { Line, LineInfo } from './Line';
import { Polygon, PolygonInfo } from './Polygon';
import { Circle, CircleInfo } from './Circle';
interface Canvas3DInfo extends BaseObjectInfo {
    points?: PointInfo[];
    lines?: LineInfo[];
    polygons?: PolygonInfo[];
    circles?: CircleInfo[];
}
declare class Canvas3D extends BaseObject3D {
    constructor(params?: Canvas3DInfo);
    create(params?: Canvas3DInfo): void;
    createPoint(params: PointInfo): Point;
    getPoint(id: PointInfo['id']): Point | null;
    removePoint(id: PointInfo['id']): void;
    createLine(params: LineInfo): Line;
    getLine(id: LineInfo['id']): Line | null;
    removeLine(id: LineInfo['id']): void;
    createPolygon(params: PolygonInfo): Polygon;
    getPolygon(id: PolygonInfo['id']): Polygon | null;
    removePolygon(id: PolygonInfo['id']): void;
    createCircle(params: CircleInfo): Circle;
    getCircle(id: CircleInfo['id']): Circle | null;
    removeCircle(id: CircleInfo['id']): void;
    getChildForType<Type extends BaseMesh>(type: Type['stype'], id: PointInfo['id']): Type | null;
}
export { Canvas3D, Canvas3DInfo, };
