import { MeshStandardMaterial } from 'three';
import { BaseObjectInfo, IColor } from '../Interface';
import { BaseMesh } from './BaseMesh';
import { GradientTextureOptions } from '../Shared';
interface CircleInfo extends BaseObjectInfo {
    radius?: number;
    color?: IColor;
    opacity?: number;
    gradient?: GradientTextureOptions;
}
type SetOptionsCircleInfo = Partial<Pick<CircleInfo, 'radius' | 'color' | 'opacity' | 'gradient'>>;
declare class Circle extends BaseMesh {
    params?: CircleInfo | undefined;
    material: MeshStandardMaterial;
    constructor(params?: CircleInfo | undefined);
    updateGeometry(radius: number): void;
    updateMaterialOpacity(opacity: number): void;
    updateMaterial(color: IColor, gradient?: GradientTextureOptions): void;
    setOptions(params: SetOptionsCircleInfo): void;
}
export { Circle, CircleInfo, SetOptionsCircleInfo, };
