import { MeshStandardMaterial } from 'three';
import { GradientTextureOptions } from '../Shared';
import { Position, IColor, BaseObjectInfo } from '../Interface';
import { BaseMesh } from './BaseMesh';
interface LineInfo extends BaseObjectInfo {
    points: Position[];
    width?: number;
    color?: IColor;
    opacity?: number;
    gradient?: GradientTextureOptions;
}
type SetOptionsLineInfo = Partial<Pick<LineInfo, 'points' | 'width' | 'color' | 'opacity' | 'gradient'>>;
declare class Line extends BaseMesh {
    params?: LineInfo | undefined;
    material: MeshStandardMaterial;
    constructor(params?: LineInfo | undefined);
    updateMaterialOpacity(opacity: number): void;
    updateMaterial(color: IColor, gradient?: GradientTextureOptions): void;
    updateGeometry(points: Position[], width: number): void;
    setOptions(params: SetOptionsLineInfo): void;
}
export { Line, LineInfo, SetOptionsLineInfo, };
