import { BufferGeometry, MeshStandardMaterial, Texture } from 'three';
import { Position, IColor, BaseObjectInfo } from '../Interface';
import { BaseMesh } from './BaseMesh';
interface LinkInfo extends BaseObjectInfo {
    passable?: number;
    start: Position;
    end: Position;
    width: number;
    color?: IColor;
    transparent?: boolean;
    imgUrl?: string;
}
declare class Link extends BaseMesh {
    readonly params?: LinkInfo | undefined;
    geometry: BufferGeometry<import("three").NormalBufferAttributes>;
    material: MeshStandardMaterial;
    passable: number;
    constructor(params?: LinkInfo | undefined);
    updateGeometry(params: Pick<LinkInfo, 'start' | 'end'>): void;
    computeVertex(): void;
    computeTextureRepeat(texture: Texture): void;
    createTexture(imgUrl?: string): Texture | undefined;
}
export { Link, LinkInfo, };
