import { ModelFormat } from '../Constants';
import { BaseObject3DInfo } from '../Interface';
import { BaseObject3D } from './BaseObject3D';
interface ModelInfo extends BaseObject3DInfo {
    url: string;
    format?: ModelFormat;
}
interface ModelInnerInfo extends Omit<ModelInfo, 'url'> {
    format: ModelFormat;
}
declare class Model extends BaseObject3D {
    formatType?: ModelFormat;
    constructor(params?: ModelInnerInfo);
    setEnvMap(dirPath: string, fileNames?: string[], options?: {
        reflectivity?: number;
    }): void;
    copy(source: this, recursive?: boolean): this;
}
export { Model, ModelInfo, ModelInnerInfo, };
