import { BaseObject3D } from './BaseObject3D';
import { Icon } from './Icon';
import { Box3, Mesh } from 'three';
import { BaseObject3DInfo, IVector3, PoiType, ScaleFixed } from '../Interface';
interface PoiInfo extends BaseObject3DInfo {
    url?: string;
    type?: PoiType;
    namePosition?: IVector3;
    nameScale?: IVector3;
    nameCanvasInfo?: NameCanvasInfo;
    iconScale?: IVector3;
    scaleFixed?: ScaleFixed | null;
}
interface NameCanvasInfo {
    canvasWidth?: number;
    canvasHeight?: number;
    font?: string;
    fillStyle?: CanvasFillStrokeStyles['fillStyle'];
    strokeStyle?: CanvasFillStrokeStyles['strokeStyle'];
    textAlign?: CanvasTextAlign;
    textBaseline?: CanvasTextBaseline;
    backgroundStyle?: CanvasFillStrokeStyles['fillStyle'];
    borderStyle?: CanvasFillStrokeStyles['strokeStyle'];
    borderWidth?: number;
}
declare class Poi extends BaseObject3D {
    icon?: Icon | Mesh;
    text?: Icon | Mesh;
    iconType?: PoiType;
    /**
     * scale 锁定
     */
    scaleFixed: PoiInfo['scaleFixed'];
    constructor(params?: PoiInfo);
    getBoundingBox(padding?: number): Box3;
    copy(source: this, recursive?: boolean): this;
}
export { Poi, PoiInfo, NameCanvasInfo, };
