import { MeshBasicMaterial, MeshPhongMaterial, PlaneGeometry, Texture } from 'three';
import { IVector3, PoiMeshOptions } from '../Interface';
import { BaseMesh } from './BaseMesh';
interface PoiMeshInfo extends PoiMeshOptions {
    position?: IVector3;
    rotation?: IVector3;
    width?: number;
    height?: number;
}
declare class PoiMesh extends BaseMesh {
    image: PoiMeshOptions['image'];
    geometry: PlaneGeometry;
    material: MeshPhongMaterial | MeshBasicMaterial;
    constructor(params: PoiMeshInfo, textureCache?: Map<string, Texture>);
}
export { PoiMesh, PoiMeshInfo, };
