import { Box3, Object3D } from 'three';
import { BaseObject3D } from './BaseObject3D';
import { BaseObject3DInfo, IVector3, PoiNodeType, ScaleFixed } from '../Interface';
interface PoiNodeInfo extends BaseObject3DInfo {
    type: PoiNodeType;
    element: HTMLElement;
    elementAutoDisplay?: boolean;
    occlude?: boolean | Object3D[] | IVector3;
    occludeThrottle?: number;
    onChange?: (visible: boolean) => void;
    scaleFixed?: ScaleFixed | null;
}
export declare function isPoiNode2D(type: PoiNodeInfo['type']): boolean;
export declare function isPoiNode25D(type: PoiNodeInfo['type']): boolean;
export declare function isPoiNode3D(type: PoiNodeInfo['type']): boolean;
declare class PoiNode extends BaseObject3D {
    readonly elementType: PoiNodeInfo['type'];
    readonly element: PoiNodeInfo['element'];
    elementAutoDisplay: PoiNodeInfo['elementAutoDisplay'];
    occlude: PoiNodeInfo['occlude'];
    occludeThrottle: PoiNodeInfo['occludeThrottle'];
    onChange: PoiNodeInfo['onChange'];
    scaleFixed: PoiNodeInfo['scaleFixed'];
    constructor(params?: PoiNodeInfo);
    create(type: PoiNodeInfo['type']): void;
    getBoundingBox(padding?: number): Box3;
    _create2D(): void;
    _create2DHalf(): void;
    _create3D(): void;
}
export { PoiNode, PoiNodeInfo, };
