import { MeshStandardMaterial } from 'three';
import { BaseMesh } from './BaseMesh';
import { BaseObjectInfo, IColor } from '../Interface';
import { GradientTextureOptions } from '../Shared';
interface PointInfo extends BaseObjectInfo {
    radius?: number;
    color?: IColor;
    opacity?: number;
    gradient?: GradientTextureOptions;
}
type SetOptionsPointInfo = Partial<Pick<PointInfo, 'radius' | 'color' | 'opacity' | 'gradient'>>;
declare class Point extends BaseMesh {
    params?: PointInfo | undefined;
    material: MeshStandardMaterial;
    constructor(params?: PointInfo | undefined);
    updateGeometry(radius: number): void;
    updateMaterialOpacity(opacity: number): void;
    updateMaterial(color: IColor, gradient?: GradientTextureOptions): void;
    setOptions(params: SetOptionsPointInfo): void;
}
export { Point, PointInfo, SetOptionsPointInfo, };
