import { Model, ModelInfo } from '../../Library';
import { ModelLoadingProgress, ModelLoadingProgressCallback } from '../../Interface';
import { SbmCache } from '../../Interface/sbmCache';
declare class SbmPrivateLoader {
    materials: Map<string, any>;
    sbmInfo: ModelInfo | null;
    isLE: boolean;
    constructor();
    /**
     * 解析模型
     * @param buffer 模型二进制原数据
     * @param sbmInfo 模型信息
     * @param onProgress 模型加载进度回填函数
     */
    parseBuffer(buffer: ArrayBuffer, sbmInfo: ModelInfo, onProgress?: ModelLoadingProgressCallback): Promise<{
        model: Model;
        caches: SbmCache;
    }>;
    /**
     * @param dataView
     * @param offset
     * @param onProgress
     */
    _parseV2(dataView: DataView, offset: number, onProgress?: ModelLoadingProgressCallback): Promise<{
        model: Model;
        caches: SbmCache;
    }>;
    /**
     * @param dataView
     * @param offset
     * @param onProgress
     */
    _parseV3(dataView: DataView, offset: number, onProgress?: ModelLoadingProgressCallback): Promise<{
        model: Model;
        caches: SbmCache;
    }>;
}
export { ModelLoadingProgress, ModelLoadingProgressCallback, };
export { SbmPrivateLoader, };
