import { Model, ModelInfo } from '../../Library';
import { ModelLoadingProgressCallback } from '../../Interface';
import { SbmCache } from '../../Interface/sbmCache';
import SDataView from './SDataView';
declare class SbmPublicLoader {
    materials: Map<string, any>;
    sbmInfo: ModelInfo | null;
    constructor();
    /**
     * 解析模型
     * @param buffer 模型二进制原数据
     * @param sbmInfo 模型信息
     * @param onProgress 模型加载进度回填函数
     */
    parseBuffer(buffer: ArrayBuffer, sbmInfo: ModelInfo, onProgress?: ModelLoadingProgressCallback): Promise<{
        model: Model;
        caches: SbmCache;
    }>;
    /**
     * @param dataView
     * @param offset
     * @param onProgress
     */
    _parseV2(dataView: SDataView, onProgress?: ModelLoadingProgressCallback): Promise<{
        model: Model;
        caches: SbmCache;
    }>;
    /**
     * @param dataView
     * @param offset
     * @param onProgress
     */
    _parseV3(dataView: SDataView, onProgress?: ModelLoadingProgressCallback): Promise<{
        model: Model;
        caches: SbmCache;
    }>;
}
export { SbmPublicLoader, };
