import { Object3D } from 'three';
import Viewport from '../Viewport';
import DefaultManage from './DefaultManage';
import { ObjectsCache } from '../Cache';
import { Decal, DecalGeometryInfo, DecalInfo } from '../Library';
declare class DecalManage extends DefaultManage {
    readonly viewport: Viewport;
    readonly cache: ObjectsCache;
    constructor(viewport: Viewport, cache: ObjectsCache);
    /**
     * 创建贴花
     */
    create(info: DecalInfo, parent?: Object3D | null): Promise<Decal>;
    updateAllGeometry(info?: DecalGeometryInfo): void;
    /**
     * 更新贴花结构
     * @param decal
     * @param info
     */
    updateGeometry(decal: Decal, info?: DecalGeometryInfo): Decal;
}
export default DecalManage;
