import Viewport from '../Viewport';
import DefaultManage from './DefaultManage';
import { GridHelper, AxesHelper, Box3Helper, DirectionalLightHelper, HemisphereLightHelper, SpotLightHelper, PointLightHelper } from 'three';
import { RectAreaLightHelper } from 'three/examples/jsm/helpers/RectAreaLightHelper.js';
import { GridHelperOptions, AxesHelperOptions, BoxHelperOptions, PlaneHelperOptions, GroundHelperOptions, DirectionalLightHelperOptions, HemisphereLightHelperOptions, SpotLightHelperOptions, PointLightHelperOptions, RectAreaLightHelperOptions } from '../Interface';
import { BaseMesh, Ground } from '../Library';
import { ObjectsCache } from '../Cache';
declare class HelperManage extends DefaultManage {
    readonly viewport: Viewport;
    readonly cache: ObjectsCache;
    constructor(viewport: Viewport, cache: ObjectsCache);
    addGridHelper(options: GridHelperOptions): GridHelper;
    addAxesHelper(options: AxesHelperOptions): AxesHelper;
    addBoxHelper(options: BoxHelperOptions): Box3Helper;
    addPlaneHelper(options: PlaneHelperOptions): BaseMesh;
    addGroundHelper(options: GroundHelperOptions): Promise<Ground>;
    addDirectionalLightHelper(options: DirectionalLightHelperOptions): DirectionalLightHelper;
    addHemisphereLightHelper(options: HemisphereLightHelperOptions): HemisphereLightHelper;
    addSpotLightHelper(options: SpotLightHelperOptions): SpotLightHelper;
    addPointLightHelper(options: PointLightHelperOptions): PointLightHelper;
    addRectAreaLightHelper(options: RectAreaLightHelperOptions): RectAreaLightHelper;
}
export default HelperManage;
