import { AmbientLight, DirectionalLight, HemisphereLight, SpotLight, PointLight, RectAreaLight } from 'three';
import DefaultManage from './DefaultManage';
import Viewport from '../Viewport';
import { AmbientLightOptions, DirectionalLightOptions, HemisphereLightOptions, SpotLightOptions, PointLightOptions, RectAreaLightOptions } from '../Interface';
import { ObjectsCache } from '../Cache';
declare class LightManage extends DefaultManage {
    readonly viewport: Viewport;
    readonly cache: ObjectsCache;
    constructor(viewport: Viewport, cache: ObjectsCache);
    createAmbientLight(options: AmbientLightOptions): AmbientLight;
    setAmbientLight(light: AmbientLight | null, options: AmbientLightOptions): boolean;
    createDirectionalLight(options: DirectionalLightOptions): DirectionalLight;
    setDirectionalLight(light: DirectionalLight | null, options: DirectionalLightOptions): boolean;
    createHemisphereLight(options: HemisphereLightOptions): HemisphereLight;
    setHemisphereLight(light: HemisphereLight | null, options: HemisphereLightOptions): boolean;
    createSpotLight(options: SpotLightOptions): SpotLight;
    setSpotLight(light: SpotLight | null, options: SpotLightOptions): boolean;
    createPointLight(options: PointLightOptions): PointLight;
    setPointLight(light: PointLight | null, options: PointLightOptions): boolean;
    createRectAreaLight(options: RectAreaLightOptions): RectAreaLight;
    setRectAreaLight(light: RectAreaLight | null, options: RectAreaLightOptions): boolean;
    updateAllShadow(): void;
    dispose(): void;
}
export default LightManage;
