import { Camera, Object3D } from 'three';
import { ObjectsCache } from '../Cache';
import Viewport from '../Viewport';
type PoiNodeSet = ObjectsCache['classified']['PoiNode'];
declare class CSS2DObject extends Object3D {
    isCSS2DObject: boolean;
    element: HTMLElement;
    constructor(element?: HTMLElement);
    copy(source: this, recursive: boolean): this;
}
export type CSS2DRendererParameters = {
    element?: HTMLElement;
};
declare class CSS2DRenderer {
    readonly viewport: Viewport;
    domElement: HTMLElement;
    getSize: () => {
        width: number;
        height: number;
    };
    render: (poiNodeSet: PoiNodeSet, camera: Camera) => void;
    setSize: (width: number, height: number) => void;
    constructor(viewport: Viewport);
}
export { CSS2DObject, CSS2DRenderer, };
