import { Object3D, OrthographicCamera, PerspectiveCamera } from 'three';
import { ObjectsCache } from '../Cache';
import Viewport from '../Viewport';
type PoiNodeSet = ObjectsCache['classified']['PoiNode'];
declare class CSS3DObject extends Object3D {
    isCSS3DObject: boolean;
    element: HTMLElement;
    constructor(element?: HTMLElement);
    copy(source: this, recursive: boolean): this;
}
declare class CSS3DSprite extends CSS3DObject {
    isCSS3DSprite: boolean;
    rotation2D: number;
    constructor(element: HTMLElement);
    copy(source: this, recursive: boolean): this;
}
declare class CSS3DRenderer {
    readonly viewport: Viewport;
    domElement: HTMLElement;
    getSize: () => {
        width: number;
        height: number;
    };
    render: (poiNodeSet: PoiNodeSet, camera: PerspectiveCamera | OrthographicCamera) => void;
    setSize: (width: number, height: number) => void;
    constructor(viewport: Viewport);
}
export { CSS3DObject, CSS3DSprite, CSS3DRenderer, };
