import Viewport from '..';
export type ModelsBoundsTreeOptions = {
    type?: 'block' | 'slice' | 'worker';
    force?: boolean;
    frameSliceCount?: number;
    workerCreator?: () => Worker;
};
declare class Bvh {
    readonly viewport: Viewport;
    cameraChanging: boolean;
    timer: number | null;
    computedGeometriesUuid: Map<string, string>;
    generateMeshBVHWorker: import("./GenerateMeshBVHWorker").GenerateMeshBVHWorker;
    constructor(viewport: Viewport);
    computeModelsBoundsTree(options?: ModelsBoundsTreeOptions): Promise<void>;
    dispose(): void;
}
export default Bvh;
