import { WebGLRenderer } from 'three';
import { CSS2DRenderer, CSS3DRenderer } from '../Renderer';
import { InternalOptions } from '../Interface';
import Viewport from '.';
declare module 'three/src/renderers/WebGLRenderer' {
    interface WebGLRenderer {
        autoInstancing: boolean;
    }
}
declare class RendererManager {
    readonly viewport: Viewport;
    internalOptions: InternalOptions;
    renderer: WebGLRenderer;
    container: HTMLElement;
    interactiveContainer: HTMLElement;
    rendererCSS2D: CSS2DRenderer;
    rendererCSS3D: CSS3DRenderer;
    constructor(viewport: Viewport);
    setInternalState(name: keyof InternalOptions, state: boolean): void;
    _initContainer(): HTMLElement;
    _initRenderer(): WebGLRenderer;
    _initRenderCSS2D(): CSS2DRenderer;
    _initRenderCSS3D(): CSS3DRenderer;
    _initInteractiveContainer(): HTMLDivElement;
}
export default RendererManager;
